{ pkgs, ... }: {

    virtualisation.docker = {
        enable = true;
        rootless = {
            enable = true;
            setSockettVariable = true;
        };

        daemon.settings = {
            data-root = "/docker/containers";
            userland-proxy = false;
            experimental = true;
            metrics-addr = "0.0.0.0:9323";
            ipv6 = true;
            fixed-cidr-v6 = "fd00::/80";
        };
    };
    users.extraGroups.docker.members = [ "username-with-access-to-socket" ];

}
